<?php
// protx vspform failure.php
include("functions.php");
include_once("../../../classes/class.gateway.plugin.php");

$cPlugin = new Plugin("0");
$Decrypt_Password = $cPlugin->GetPluginVariable("plugin_protxform_Crypt Password");

$Decoded = SimpleXor(base64Decode($crypt),$Decrypt_Password);
$values = getToken($Decoded);

$lInvoiceID = $values['VendorTxCode'];
$lInvoiceID = substr($lInvoiceID, 0, strpos($lInvoiceID, "D"));
$lErrorCode = "";  //For Future Use
$lPricePaid = "";  //For Future Use

$cPlugin = new Plugin($lInvoiceID);
$cPlugin->PaymentRejected($lErrorCode);
$cPlugin->ForwardUser();
?>
